from sqlalchemy import Column, Integer, String, DateTime
from sqlalchemy.engine.base import Transaction

from .database import Base
from datetime import datetime


class order_info_linepay(Base):
    __tablename__ = "order_info_linepay"
    
    id = Column(Integer, primary_key=True, nullable=False)
    order_id = Column(String(255), unique=True, nullable=False)
    email = Column(String(255), nullable=False)
    phone = Column(String(20))
    full_name = Column(String(50))
    transaction_date = Column(DateTime, nullable=False, default=datetime.now())



## this is for ORM model  define database model